Bug 1018499 - "oo-admin-ctl-user" doesn't show plan information
"oo-admin-ctl-user" doesn't show plan information
Status: CLOSED CURRENTRELEASE
Product: OpenShift Online
Classification: Red Hat
Component: Pod (Show other bugs)
2.x
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Abhishek Gupta
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-12 12:30 EDT by Nam Duong
Modified: 2015-05-14 20:21 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-17 09:35:24 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nam Duong 2013-10-12 12:30:50 EDT
Description of problem:
The current output for "oo-admin-ctl-user" is:
                  consumed gears: 1
                       max gears: 16
    max tracked storage per gear: 0
  max untracked storage per gear: 5
            plan upgrade enabled: true
                      gear sizes: small, medium
            sub accounts allowed: false
private SSL certificates allowed: true

Please add "Plan:" so that Customer Enablement can check a user's plan and help to escalate an issue.
Comment 1 Ravi Sankar 2013-10-14 15:38:02 EDT
We already added user's plan info to the oo-admin-ctl-user script. This should be available after prod push.
Comment 2 Jianwei Hou 2013-10-15 02:32:47 EDT
Verified on devenv-stage_498
User's plan id is displayed as well

[root@ip-10-234-13-125 ~]# oo-admin-ctl-user -l jhou@redhat.com


User jhou@redhat.com:
                            plan: free
                  consumed gears: 0
                       max gears: 3
    max tracked storage per gear: 0
  max untracked storage per gear: 0
            plan upgrade enabled: true
                      gear sizes: small
            sub accounts allowed: false
                      HA allowed: false


[root@ip-10-234-13-125 ~]# oo-admin-ctl-user -l jhou@redhat.com


User jhou@redhat.com:
                            plan: silver
                  consumed gears: 0
                       max gears: 16
    max tracked storage per gear: 0
  max untracked storage per gear: 5
            plan upgrade enabled: true
                      gear sizes: small, medium
            sub accounts allowed: false
private SSL certificates allowed: true

Note You need to log in before you can comment on or make changes to this bug.